Page MenuHomePhabricator

Create an initial set of basic API integration tests
Closed, ResolvedPublic

Description

The tests below should work on the MVP, so they must not require variables. So no login.

For MediaWiki, relevant stories to test are:

  • anonymous page creation and editing, verify change in content (verifying access to old revisions requires variable support) via [[API:Edit]]
  • re-parse of dependent pages (red links turning blue, missing templates getting used after being created) via [[API:Edit]] and then fetching the rendered page from the article path (index.php?title=xyz)
  • page history with edit summary, size diff (testing minor edits and user names requires variables for login) see [[API:Revisions]]
  • recent changes with edit summary, size diff, etc [[API:RecentChanges]]
  • renaming/moving a page (basic) via [[API:Move]]
  • pre-save transform (PSR) (via [[API:Edit]])
  • [[Help:Templates|template transclusion]] via [[API:Parsing wikitext]]
  • [[Help:Magic_words#Parser_functions|parser functions]] via [[API:Parsing wikitext]] (some)
  • [[Help:Magic_words#variables|magic words]] via [[API:Parsing wikitext]] (some)
  • diffs (use relative revision ids) via [[API:Compare]]
  • fetching different kinds of links / reverse links (see [[API:Query#Page_types]])
  • listing category contents (see [[API:Query#Page_types]])

In addition, it would be useful to see one or two basic tests for Kask and RESTbase.

It would be nice to see what these tests look like in our own runner (phester) and for some of the other candidates like tavern, behat, codeception, or dredd. It's not necessary to write all the tests for all the different systems, though.

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedCCicalese_WMF
Resolveddaniel
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi
ResolvedClarakosi

Event Timeline

daniel created this task.Jun 12 2019, 11:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2019, 11:37 AM
daniel updated the task description. (Show Details)Jun 25 2019, 4:23 PM
daniel updated the task description. (Show Details)Jul 1 2019, 7:39 PM
daniel assigned this task to Clarakosi.Jul 2 2019, 2:58 PM
CCicalese_WMF renamed this task from Create an initial set of tests to try out the test runner. to Create an initial set of API integration tests.Jul 14 2019, 9:43 PM
CCicalese_WMF triaged this task as Medium priority.
CCicalese_WMF renamed this task from Create an initial set of API integration tests to Create an initial set of basic API integration tests.Jul 15 2019, 8:37 PM
Clarakosi closed this task as Resolved.Jul 23 2019, 3:27 PM

All basic tests are completed and have been linked in the other tasks.